## public-inbox 1.9.0

=== sa_config/Makefile ===
INSTALL = install
all::
	@cat README

ROOT_FILES = etc/spamassassin/public-inbox.pre
install-root:
	@mkdir -p /etc/spamassassin
	for f in $(ROOT_FILES); do $(INSTALL) -m 0644 root/$$f /$$f; done
diff-root:
	for f in $(ROOT_FILES); do diff -u root/$$f /$$f; done

USER_FILES = .spamassassin/user_prefs
install-user:
	@mkdir -p ~/.spamassassin/
	for f in $(USER_FILES); do $(INSTALL) -m 0644 user/$$f ~/$$f; done
diff-user:
	for f in $(USER_FILES); do diff -u user/$$f ~/$$f; done

## public-inbox 1.6.0

=== debian/changelog ===
public-inbox (1.6.0-1) unstable; urgency=medium

  * Initial release (Closes: #964736)
  * Include changes from upstream bugfix release 1.6.1

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 03 Mar 2021 10:51:43 +0100

=== debian/control ===
Source: public-inbox
Section: mail
Priority: optional
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.5.1
Homepage: https://public-inbox.org/
Build-Depends:
 debhelper-compat (= 12),
 git,
 libdbd-sqlite3-perl,
 libemail-mime-perl,
 libnet-server-perl,
 libplack-perl,
 libsearch-xapian-perl,
 xapian-tools,
Vcs-Git: https://salsa.debian.org/ukleinek/public-inbox.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/ukleinek/public-inbox/-/commits/debian/unstable/

Package: public-inbox
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 git,
 libdbd-sqlite3-perl,
 libemail-mime-perl,
 libnet-server-perl,
 libplack-perl,
 libsearch-xapian-perl,
 xapian-tools,
Description: Mailing list archiver
 public-inbox is an mailing list archiver that provides a searchable web
 interface, provides the archived mails via git and nntp.

## public-inbox 1.6.1

=== debian/changelog ===
public-inbox (1.6.1-2) unstable; urgency=medium

  * Skip a few tests that fail due to changes in Email::MIME
    (Closes: #1002219)

 -- Uwe Kleine-König <ukleinek@debian.org>  Sun, 02 Jan 2022 14:58:18 +0100

public-inbox (1.6.1-1) unstable; urgency=medium

  * Bump version number to match the actually used version.
  * Add libparse-recdescent-perl to the list of dependencies (for imapd)
    (Closes: #993860)
  * Bump Standards-Version (no changes necessary)

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 27 Sep 2021 21:28:25 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://public-inbox.org/
 Build-Depends:
  debhelper-compat (= 12),
@@ -26,6 +26,7 @@
  libdbd-sqlite3-perl,
  libemail-mime-perl,
  libnet-server-perl,
+ libparse-recdescent-perl,
  libplack-perl,
  libsearch-xapian-perl,
  xapian-tools,

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh $@ --with autoreconf

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_install:
	dh_auto_install
	mkdir -p debian/public-inbox/usr/lib/cgi-bin
	mv debian/public-inbox/usr/bin/public-inbox.cgi debian/public-inbox/usr/lib/cgi-bin

## public-inbox 1.8.0

=== debian/changelog ===
public-inbox (1.8.0-1) unstable; urgency=medium

  * New Upstream release
  * Move the perl lib package into section perl

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 01 Jul 2022 16:15:59 +0200

public-inbox (1.7.0-2) unstable; urgency=medium

  * Source-only upload for migration to testing, no changes.

 -- Uwe Kleine-König <ukleinek@debian.org>  Wed, 20 Apr 2022 09:45:09 +0200

public-inbox (1.7.0-1) unstable; urgency=medium

  * New upstream release
  * Split package into libs, public-inbox and lei.
  * Add more dependencies: libinline-c-perl, libsocket-msghdr-perl.
  * Bump debhelper to compatibility level 13 to simplify package split.

 -- Uwe Kleine-König <ukleinek@debian.org>  Fri, 11 Mar 2022 12:09:14 +0100

=== debian/control ===
Source: public-inbox
Section: mail
Priority: optional
Maintainer: Uwe Kleine-König <ukleinek@debian.org>
Rules-Requires-Root: no
Standards-Version: 4.6.0
Homepage: https://public-inbox.org/
Build-Depends:
 debhelper-compat (= 13),
 git,
 libdbd-sqlite3-perl,
 libemail-address-xs-perl,
 libemail-mime-perl,
 libinline-c-perl,
 libnet-server-perl,
 libplack-perl,
 libsearch-xapian-perl,
 libsocket-msghdr-perl,
 xapian-tools,
Vcs-Git: https://salsa.debian.org/ukleinek/public-inbox.git -b debian/unstable
Vcs-Browser: https://salsa.debian.org/ukleinek/public-inbox/-/commits/debian/unstable/

Package: libpublicinbox-perl
Section: perl
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 git,
 libdbd-sqlite3-perl,
 libemail-address-xs-perl,
 libemail-mime-perl,
 libinline-c-perl,
 libmail-imapclient-perl,
 libnet-server-perl,
 libparse-recdescent-perl,
 libplack-perl,
 libsearch-xapian-perl,
 libsocket-msghdr-perl,
 liburi-perl,
 xapian-tools,
Replaces: public-inbox (<< 1.7.0-1~)
Breaks: public-inbox (<< 1.7.0-1~)
Description: Perl libraries for public-inbox
 The PublicInbox Perl module provides various functions to access and update
 mailing list archives in the public-inbox format.

Package: public-inbox
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libpublicinbox-perl (= ${binary:Version}),
Description: Mailing list archiver
 public-inbox is a mailing list archiver that provides a searchable web
 interface, provides the archived mails via git and nntp.

Package: lei
Architecture: all
Depends:
 ${misc:Depends},
 ${perl:Depends},
 libpublicinbox-perl (= ${binary:Version}),
Description: public inbox to local email interface
 lei is a command-line tool for importing and searching email,
 regardless of whether it is from a personal mailbox or a public-inbox.
 lei supports a local, writable store built on top of public-inbox formats.
 .
 Warning: lei is still in its early stages and may destroy mail.
 Be sure to have backups of destinations lei writes to.

## public-inbox 1.9.0

=== debian/changelog ===
public-inbox (1.9.0-1) unstable; urgency=medium

  * New Upstream release
  * Bump Standards-Version (no changes necessary)

 -- Uwe Kleine-König <ukleinek@debian.org>  Mon, 07 Nov 2022 22:02:31 +0100

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Uwe Kleine-König <ukleinek@debian.org>
 Rules-Requires-Root: no
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://public-inbox.org/
 Build-Depends:
  debhelper-compat (= 13),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS  = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/vendor.mk

DH_MAKE_ARGS = 'VERSION="$(DEB_VERSION) ($(DEB_VENDOR))"'

%:
	dh $@ --with autoreconf

override_dh_auto_build:
	dh_auto_build -- $(DH_MAKE_ARGS)

override_dh_installsystemd:
	dh_installsystemd --no-enable --no-start

override_dh_auto_install:
	dh_auto_install -- $(DH_MAKE_ARGS)
	mkdir -p debian/public-inbox/usr/lib/cgi-bin
	mv debian/tmp/usr/bin/public-inbox.cgi debian/public-inbox/usr/lib/cgi-bin

override_dh_installdocs:
	dh_installdocs --link-doc=libpublicinbox-perl

=== debian/watch ===
version=4

opts=\
uversionmangle=s/-pre/~pre/ \
  https://public-inbox.org/public-inbox.git/ .*/public-inbox-(\d\S+)\.tar\.gz
